package de.steev.bm.Commands;

import de.steev.bm.BetterMinecraft;
import de.steev.bm.Manager.GameManager;
import org.bukkit.Location;
import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

public class back implements CommandExecutor {
    private GameManager gameManager;

    public back(GameManager gameManager) {
        this.gameManager = gameManager;
    }

    @Override
    public boolean onCommand(CommandSender commandSender, Command command, String s, String[] strings) {
        if (!this.gameManager.getConfigManager().GetBool("back_command")) {
            commandSender.sendMessage("back command ist nicht aktiv");
            return false;
        }

        Player player = (Player) commandSender.getServer().getPlayer(commandSender.getName());
        Location lastDeath;

        try {
            lastDeath = this.gameManager.getPlugin().getPlayerDataConfig().getLocation(player.getUniqueId() + ".death");
            player.teleport(lastDeath);
            this.gameManager.getPlugin().getPlayerDataConfig().set(player.getUniqueId() + ".death", null);
            commandSender.sendMessage("Du wurdest Teleportiert. Dein todespunkt ist nun entfernt worden.");
        } catch (Exception ex) {
            commandSender.sendMessage("Tot nicht gefunden!");
        }

        return false;
    }
}
